// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.12.4
// source: sei-client/model/stats.proto

package model

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Stats struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	New        int64 `protobuf:"varint,1,opt,name=new,proto3" json:"new,omitempty"`
	Opened     int64 `protobuf:"varint,2,opt,name=opened,proto3" json:"opened,omitempty"`
	Registered int64 `protobuf:"varint,3,opt,name=registered,proto3" json:"registered,omitempty"`
	Rejected   int64 `protobuf:"varint,4,opt,name=rejected,proto3" json:"rejected,omitempty"`
	Answered   int64 `protobuf:"varint,5,opt,name=answered,proto3" json:"answered,omitempty"`
}

func (x *Stats) Reset() {
	*x = Stats{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sei_client_model_stats_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Stats) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Stats) ProtoMessage() {}

func (x *Stats) ProtoReflect() protoreflect.Message {
	mi := &file_sei_client_model_stats_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Stats.ProtoReflect.Descriptor instead.
func (*Stats) Descriptor() ([]byte, []int) {
	return file_sei_client_model_stats_proto_rawDescGZIP(), []int{0}
}

func (x *Stats) GetNew() int64 {
	if x != nil {
		return x.New
	}
	return 0
}

func (x *Stats) GetOpened() int64 {
	if x != nil {
		return x.Opened
	}
	return 0
}

func (x *Stats) GetRegistered() int64 {
	if x != nil {
		return x.Registered
	}
	return 0
}

func (x *Stats) GetRejected() int64 {
	if x != nil {
		return x.Rejected
	}
	return 0
}

func (x *Stats) GetAnswered() int64 {
	if x != nil {
		return x.Answered
	}
	return 0
}

var File_sei_client_model_stats_proto protoreflect.FileDescriptor

var file_sei_client_model_stats_proto_rawDesc = []byte{
	0x0a, 0x1c, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a,
	0x73, 0x65, 0x69, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x22, 0x89, 0x01, 0x0a, 0x05, 0x53,
	0x74, 0x61, 0x74, 0x73, 0x12, 0x10, 0x0a, 0x03, 0x6e, 0x65, 0x77, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x03, 0x6e, 0x65, 0x77, 0x12, 0x16, 0x0a, 0x06, 0x6f, 0x70, 0x65, 0x6e, 0x65, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x06, 0x6f, 0x70, 0x65, 0x6e, 0x65, 0x64, 0x12, 0x1e,
	0x0a, 0x0a, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x0a, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x65, 0x72, 0x65, 0x64, 0x12, 0x1a,
	0x0a, 0x08, 0x72, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x08, 0x72, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x65, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x6e,
	0x73, 0x77, 0x65, 0x72, 0x65, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x61, 0x6e,
	0x73, 0x77, 0x65, 0x72, 0x65, 0x64, 0x42, 0x7d, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x65,
	0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x05,
	0x53, 0x74, 0x61, 0x74, 0x73, 0x50, 0x01, 0x5a, 0x3c, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x68, 0x61, 0x64, 0x6f, 0x77, 0x79, 0x2f, 0x73, 0x65, 0x69, 0x2f,
	0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2f, 0x67, 0x6f, 0x2d, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x2d, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2f,
	0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03, 0x4d, 0x58, 0x58, 0xaa, 0x02, 0x0a, 0x73, 0x65,
	0x69, 0x2d, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0xca, 0x02, 0x0a, 0x73, 0x65, 0x69, 0x2d, 0x63,
	0x6c, 0x69, 0x65, 0x6e, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_sei_client_model_stats_proto_rawDescOnce sync.Once
	file_sei_client_model_stats_proto_rawDescData = file_sei_client_model_stats_proto_rawDesc
)

func file_sei_client_model_stats_proto_rawDescGZIP() []byte {
	file_sei_client_model_stats_proto_rawDescOnce.Do(func() {
		file_sei_client_model_stats_proto_rawDescData = protoimpl.X.CompressGZIP(file_sei_client_model_stats_proto_rawDescData)
	})
	return file_sei_client_model_stats_proto_rawDescData
}

var file_sei_client_model_stats_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_sei_client_model_stats_proto_goTypes = []interface{}{
	(*Stats)(nil), // 0: sei_client.Stats
}
var file_sei_client_model_stats_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_sei_client_model_stats_proto_init() }
func file_sei_client_model_stats_proto_init() {
	if File_sei_client_model_stats_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_sei_client_model_stats_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Stats); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_sei_client_model_stats_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_sei_client_model_stats_proto_goTypes,
		DependencyIndexes: file_sei_client_model_stats_proto_depIdxs,
		MessageInfos:      file_sei_client_model_stats_proto_msgTypes,
	}.Build()
	File_sei_client_model_stats_proto = out.File
	file_sei_client_model_stats_proto_rawDesc = nil
	file_sei_client_model_stats_proto_goTypes = nil
	file_sei_client_model_stats_proto_depIdxs = nil
}
